library(Biostrings)
library(fastqcr)

parse_data <- function(files) {
  reversed_sequences <- Biostrings::readQualityScaledDNAStringSet(files[1])
  sequences <- Biostrings::reverseComplement(reversed_sequences)
  vdj_alignment <- read.csv(files[2])
  vdj_string_set <- lapply(vdj_alignment, FUN = Biostrings::DNAStringSet)
  return(list(sequences, vdj_string_set))
}

align_sequences <- function(sequences, vdj_segments) {

}

input_files <- c("data/curesim_sequence.fastq", "data/vdj_alignment.csv")
data <- parse_data(input_files)